Get Subscription

GEThttps://organization.dattaremit.com/api/subscriptions/{subscription_guid}

Requires a organization-scoped key.

Retrieves a subscription.

Required scope: subscriptions:read

Path Params

subscription_guidstringrequired

Identifier for the subscription.

Responses

200

Subscription found

401

Unauthorized - Authentication failed

403

Invalid scope

404

Subscription not found

Request

curl https://api.dattaremit.com/api/subscriptions/{subscription_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

Subscription found

{
  "guid": "string",
  "organization_guid": "string",
  "name": "string",
  "type": "webhook",
  "url": "string",
  "signing_key": "string",
  "recipient": "string",
  "deliveries_failing_since": "2026-07-20T16:27:51.438Z",
  "environment": "string",
  "state": "string",
  "failure_code": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z"
}